/****************************************************************************
** Form implementation generated from reading ui file 'chatdlg.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chatdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <qlabel.h>
#include <qframe.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "messageedit.h"
#include "global.h"
#include "chatdlg.ui.h"
/*
 *  Constructs a ChatDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ChatDlg::ChatDlg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ChatDlg" );
    setIcon( QPixmap::fromMimeSource( "prvnormal.png" ) );
    ChatDlgLayout = new QVBoxLayout( this, 2, 6, "ChatDlgLayout"); 

    chatsplitter = new QSplitter( this, "chatsplitter" );
    chatsplitter->setOrientation( QSplitter::Vertical );

    QWidget* privateLayoutWidget = new QWidget( chatsplitter, "layout9" );
    layout9 = new QVBoxLayout( privateLayoutWidget, 11, 6, "layout9"); 

    textLabel1 = new QLabel( privateLayoutWidget, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( textLabel1 );

    line1 = new QFrame( privateLayoutWidget, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    layout9->addWidget( line1 );

    chatview = new QTextEdit( privateLayoutWidget, "chatview" );
    chatview->setFocusPolicy( QTextEdit::NoFocus );
    chatview->setTextFormat( QTextEdit::RichText );
    chatview->setLinkUnderline( FALSE );
    chatview->setWrapPolicy( QTextEdit::AtWordOrDocumentBoundary );
    chatview->setUndoDepth( 0 );
    chatview->setReadOnly( TRUE );
    chatview->setUndoRedoEnabled( FALSE );
    layout9->addWidget( chatview );

    bottomframe = new QFrame( chatsplitter, "bottomframe" );
    bottomframe->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, bottomframe->sizePolicy().hasHeightForWidth() ) );
    bottomframe->setFrameShape( QFrame::NoFrame );
    bottomframe->setFrameShadow( QFrame::Plain );
    bottomframeLayout = new QVBoxLayout( bottomframe, 11, 6, "bottomframeLayout"); 

    layout3 = new QHBoxLayout( 0, 1, 4, "layout3"); 

    smileBtn = new QPushButton( bottomframe, "smileBtn" );
    smileBtn->setFocusPolicy( QPushButton::NoFocus );
    smileBtn->setPixmap( QPixmap::fromMimeSource( "smiletris.png" ) );
    layout3->addWidget( smileBtn );
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    filesendBtn = new QPushButton( bottomframe, "filesendBtn" );
    filesendBtn->setFocusPolicy( QPushButton::NoFocus );
    filesendBtn->setPixmap( QPixmap::fromMimeSource( "send.png" ) );
    layout3->addWidget( filesendBtn );

    historyBtn = new QPushButton( bottomframe, "historyBtn" );
    historyBtn->setFocusPolicy( QPushButton::NoFocus );
    historyBtn->setPixmap( QPixmap::fromMimeSource( "xedit.png" ) );
    layout3->addWidget( historyBtn );

    infoBtn = new QPushButton( bottomframe, "infoBtn" );
    infoBtn->setFocusPolicy( QPushButton::NoFocus );
    infoBtn->setPixmap( QPixmap::fromMimeSource( "info.png" ) );
    layout3->addWidget( infoBtn );
    bottomframeLayout->addLayout( layout3 );

    messageedit = new MessageEdit( bottomframe, "messageedit" );
    messageedit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, messageedit->sizePolicy().hasHeightForWidth() ) );
    messageedit->setFocusPolicy( MessageEdit::StrongFocus );
    bottomframeLayout->addWidget( messageedit );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    securPix = new QLabel( bottomframe, "securPix" );
    securPix->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, securPix->sizePolicy().hasHeightForWidth() ) );
    securPix->setPixmap( QPixmap::fromMimeSource( "decrypted.png" ) );
    securPix->setScaledContents( TRUE );
    layout4->addWidget( securPix );

    statusLine = new QLabel( bottomframe, "statusLine" );
    statusLine->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, statusLine->sizePolicy().hasHeightForWidth() ) );
    statusLine->setTextFormat( QLabel::PlainText );
    statusLine->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout4->addWidget( statusLine );

    sendButton = new QPushButton( bottomframe, "sendButton" );
    layout4->addWidget( sendButton );
    bottomframeLayout->addLayout( layout4 );
    ChatDlgLayout->addWidget( chatsplitter );
    languageChange();
    resize( QSize(343, 408).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( infoBtn, SIGNAL( clicked() ), this, SLOT( infoClicked() ) );
    connect( historyBtn, SIGNAL( clicked() ), this, SLOT( historyClicked() ) );
    connect( smileBtn, SIGNAL( clicked() ), this, SLOT( smileButtonClicked() ) );
    connect( sendButton, SIGNAL( clicked() ), this, SLOT( sendButton_clicked() ) );
    connect( filesendBtn, SIGNAL( clicked() ), this, SLOT( filesendClicked() ) );
    connect( messageedit, SIGNAL( keypressed(int) ), this, SLOT( onKeyPressed(int) ) );

    // tab order
    setTabOrder( messageedit, sendButton );
    setTabOrder( sendButton, smileBtn );
    setTabOrder( smileBtn, filesendBtn );
    setTabOrder( filesendBtn, historyBtn );
    setTabOrder( historyBtn, infoBtn );
    setTabOrder( infoBtn, chatview );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChatDlg::~ChatDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChatDlg::languageChange()
{
    setCaption( tr( "Chat" ) );
    textLabel1->setText( tr( "Chat:" ) );
    smileBtn->setText( QString::null );
    smileBtn->setAccel( QKeySequence( tr( "Alt+E" ) ) );
    QToolTip::add( smileBtn, tr( "Insert smile" ) );
    filesendBtn->setText( QString::null );
    filesendBtn->setAccel( QKeySequence( tr( "Alt+F" ) ) );
    QToolTip::add( filesendBtn, tr( "Send file" ) );
    historyBtn->setText( QString::null );
    historyBtn->setAccel( QKeySequence( tr( "Alt+H" ) ) );
    QToolTip::add( historyBtn, tr( "History" ) );
    infoBtn->setText( QString::null );
    infoBtn->setAccel( QKeySequence( tr( "Alt+I" ) ) );
    QToolTip::add( infoBtn, tr( "User information" ) );
    statusLine->setText( QString::null );
    sendButton->setText( tr( "Send" ) );
    sendButton->setAccel( QKeySequence( tr( "Ctrl+Return" ) ) );
}

