/****************************************************************************
                          colordialog.h  -  description
                             -------------------
    begin                : Sun Jan 23 10:16:07 EST 2005
    copyright            : (C) 2004-2005 by Sergey Litvinov
    email                : linch@adsl.by
 ****************************************************************************/

/****************************************************************************
 *                                                  		                       					*
 *   This program is free software; you can redistribute it and/or modify  		   	*
 *   it under the terms of the GNU General Public License as published by  		   	*
 *   the Free Software Foundation; either version 2 of the License, or     		   	*
 *   (at your option) any later version.                                   				   	*
 *                                                                         					   		*
 ****************************************************************************/

#ifndef __COLORDIALOG_H
#define __COLORDIALOG_H

#include <qcolordialog.h>
#include <qpushbutton.h>

class ColorDialog: public QPushButton 
{
    Q_OBJECT
 
    private: 
	QColor current;
	
	void drawButtonLabel (QPainter *p);
  
    public slots:
	void browseClicked();
	void setColor(QColor c);
	QColor color();
  
    public:
	ColorDialog(QWidget *parent, const char *name);

	~ColorDialog();
    
    signals:
	void colorSelected(const QColor &c);
};

#endif
