#include "trixapp.h"
#include "mainform.h"
#include "settings.h"

TrixApp::TrixApp( int & argc, char ** argv): QApplication(argc, argv)
{
}

TrixApp::~TrixApp()
{
}

void TrixApp::commitData (QSessionManager &sm)
{
    mainform->finishSession();
    mainform->close();
}

void TrixApp::setup(Settings *s)
{
    mainform = new MainForm();
    setMainWidget( mainform );
    mainform->setup( s );
    if ( !s->getStartMin() ) mainform->show();
}
