#ifndef __CHATCMD_H
#define __CHATCMD_H

class ChatCmd
{
public:
    ChatCmd() {}
    ChatCmd(const QString& command, const QString& descr, int id, int argnum ) : cmd(command), ds(descr), uid(id), an(argnum)
    {}

    QString command() const { return cmd; }
    QString descr() const { return ds; }
    int id() const { return uid; }
    int argnum() const { return an; }

private:
    QString cmd;
    QString ds;
    int uid;
    int an;
};
#endif
