/****************************************************************************
** Form interface generated from reading ui file 'chatdlg.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef CHATDLG_H
#define CHATDLG_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qpopupmenu.h>
#include <qtimer.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class MessageEdit;
class QSplitter;
class QLabel;
class QFrame;
class QTextEdit;
class QPushButton;

class ChatDlg : public QWidget
{
    Q_OBJECT

public:
    ChatDlg( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~ChatDlg();

    QSplitter* chatsplitter;
    QLabel* textLabel1;
    QFrame* line1;
    QTextEdit* chatview;
    QFrame* bottomframe;
    QPushButton* smileBtn;
    QPushButton* filesendBtn;
    QPushButton* historyBtn;
    QPushButton* infoBtn;
    MessageEdit* messageedit;
    QLabel* securPix;
    QLabel* statusLine;
    QPushButton* sendButton;

public slots:
    virtual void setup( const QString & un, const QString & id, const QString & st );
    virtual void setMode( const QString & m );
    virtual void closeEvent( QCloseEvent * event );
    virtual void setStatus( const QString & text );
    virtual void smileButtonClicked();
    virtual void smileMenuAction( int i );
    virtual void infoClicked();
    virtual void historyClicked();
    virtual void filesendClicked();
    virtual void writeText( const QString & text );
    virtual void setEstablished();
    virtual void setReady();
    virtual void setClosed();
    virtual void sendButton_clicked();
    virtual void onKeyPressed( int key );
    virtual void timerEvent();
    virtual void notify( bool n );
    virtual void onNotify();
    virtual void windowActivationChange( bool oldActive );

signals:
    void closeChat(const QString&);
    void openHistory(const QString&);
    void getInfo(const QString&);
    void sendMessage(const QString &, const QString&, const QString&);
    void sendFile(const QString&);
    void sendTypingMode(const QString&, uint);

protected:
    QVBoxLayout* ChatDlgLayout;
    QVBoxLayout* layout9;
    QVBoxLayout* bottomframeLayout;
    QHBoxLayout* layout3;
    QSpacerItem* spacer1;
    QHBoxLayout* layout4;

protected slots:
    virtual void languageChange();

private:
    QString unick;
    QString ownnick;
    QPopupMenu *smmenu;
    QString uid;
    QTimer *timer;
    int ticks;
    bool nswitch;
    QTimer *ntimer;

    QPixmap image0;

    void init();

};

#endif // CHATDLG_H
