/***************************************************************************
                          receivemessagedlg.ui.h  -  description
                             -------------------
    begin                : ThuDec 28 17:13:00 EST 2004
    copyright            : (C) 2004-2007 by Sergey Litvinov
    email                : linch@adsl.by
 ***************************************************************************/

/***************************************************************************
 *                                                                         					   *
 *   This program is free software; you can redistribute it and/or modify  		   *
 *   it under the terms of the GNU General Public License as published by  		   *
 *   the Free Software Foundation; either version 2 of the License, or     		   *
 *   (at your option) any later version.                                   				   *
 *                                                                         					   *
 ***************************************************************************/

void ReceiveMessageDlg::init()
{
    setWFlags(Qt::WDestructiveClose | getWFlags());       
}

void ReceiveMessageDlg::setup(const QString &from, const QString &txt, const QString &otxt, bool mass)
{
    this->from = from;
    text = txt;
    origtext = otxt;
    if (!mass) setCaption(QString(tr("Message from ")) + from);
    else setCaption(QString(tr("Mass message from ")) + from);
    text.replace(QChar('\n'), "<br>");
    MessageView->append(text);
}

void ReceiveMessageDlg::replyPressed()
{
    close();
    emit reply(from, "");
}

void ReceiveMessageDlg::chatPressed()
{
    close();
    emit chat(from);
}

void ReceiveMessageDlg::quotePressed()
{
    close();
    emit quote(from, origtext);
}

void ReceiveMessageDlg::getInformation()
{
    emit getinfo(from);
}

void ReceiveMessageDlg::openHistory()
{
    emit openhistory("#FM" + from);
}
