/****************************************************************************
                          resultform.ui.h  -  description
                             -------------------
    begin                : Sat Jun 18 10:46:32 EST 2005
    copyright            : (C) 2004-2007 by Sergey Litvinov
    email                : linch@adsl.by
 ****************************************************************************/

/****************************************************************************
 *   This program is free software; you can redistribute it and/or modify  		   	       *
 *   it under the terms of the GNU General Public License as published by  		       *
 *   the Free Software Foundation; either version 2 of the License, or  			       *
 *   (at your option) any later version.                					       *
 ****************************************************************************/


void ResultForm::setup(const QStringList &n)
{
    if (n.isEmpty()) return;
    int pos;
    for (uint i = 0; i < n.count(); i++)
    {
	pos = n[i].find(':');
	nicks.append(n[i].left(pos));
	addr.append(n[i].right(n[i].length() - pos - 1));
	resultlist->insertItem(nicks.last() + " (" + addr.last() + ")");
    }
    FoundedLabel->setText(tr("Founded nicks (") + QString::number(nicks.count()) + QString(") :"));
}

void ResultForm::sendClicked()
{
    if (resultlist->count() < 1) return;
    QStringList n;
    for (uint i = 0; i < resultlist->count(); i++)
	if (resultlist->isSelected(i))
	    n.append(nicks[i]);
    emit send(n);
    close();
}
