#ifndef __STATUS_H
#define __STATUS_H

#include <qwidget.h>

class QLineEdit;
class QPushButton;

class StatusForm: public QWidget
{
	Q_OBJECT
		
	private:
		QLineEdit *answerline;
		QPushButton *b_ok;
		
	signals:
		void changeStatus(const QString &answer);
		
	protected slots:
		virtual void accept();

	public:
		StatusForm(QWidget *parent, const QString &name, const QString &answer);
		~StatusForm();
};

#endif

